SELECT p_code,
  p_name,
  CASE
    WHEN (price <= 10
    AND p_name NOT LIKE 'Nut%')
    THEN 'Cheap'
    WHEN price BETWEEN 11 AND 25
    THEN 'Medium'
    WHEN price > 25 and TO_CHAR(launch_dt, 'YYYYMMDD') > '20130329' 
    THEN 'Expensive'
    WHEN price IS NULL
    THEN 'Not valid'
    ELSE 'Others'
  END AS product_cat
FROM product;